View A diff Of A deployed product

View A diff Of A deployed product
View a diff of a deployed product

Returns the diff of the manifest and runtime configs between the staged state and last successful deployment of a product.

Request
URI
GET
https://{opsmanager-installation}/api/v0/products/{guid}/diff
COPY
Path Parameters
string
guid
Required

guid


Responses
200

0K

Returns ProductDiff of type(s) application/json
{
    "manifest": {
        "status": "string",
        "diff": "string",
        "from_installation_id": 0,
        "to_installed_id": "string"
    },
    "runtime_configs": [
        {
            "name": "string",
            "status": "string",
            "diff": "string",
            "from_installation_id": 0,
            "to_installed_id": "string"
        }
    ]
}
object
manifest
Optional

manifest

array of runtime_configs
runtime_configs
Optional

runtime_configs


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v0/products/{guid}/diff